# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

init python:
    def samvoice(event, interact=True, **kwargs):
        if not interact:
            return
        if event == "show_done":
            renpy.sound.play("sam1.mp3", loop=True)
        elif event == "slow_done":
                renpy.sound.stop()

    def mitchvoice(event, interact=True, **kwargs):
        if not interact:
            return
        if event == "show_done":
            renpy.sound.play("mitch1.mp3", loop=True)
        elif event == "slow_done":
                renpy.sound.stop()

  


define s = Character("Sam", callback=samvoice)
define m = Character("Mitch", color="#FFCD0A", callback=mitchvoice)


# The game starts here.

label start:
    stop music

    scene dark
   
    "You were asleep just a second ago, and now you aren't."
    "You don't know what time it is, but you figure it's probably around midnight."
    play sound song volume 0.5
    scene room
"You open your eyes, it's dark."
"You look around at the room that has been yours for only about a month, you're still getting used to it but it's pretty cozy!"
"Surrounded by a warm layer of blankets, you've been awoken by a faint feeling of uneasiness."
"You struggle to pinpoint the source of this sensation, until-"
play sound tummy1
"..."
"The silence is broken by the sound of your empty stomach."

show sam sigh

s "Ah, I guess I'm hungry"
hide sam sigh
"You've been generally hungrier since you started taking testosterone"
"Your bed is nice and warm, but it'll be hard to fall asleep again now that you know you're hungry, you decide to…"
    
menu sleep:
    
    "Go back to sleep":
        "You ignore your natural need for food and close your eyes." 
        "The sounds your stomach makes are a bit annoying, but you manage to ignore it"
        show sam sigh
        s "I'll eat a good breakfast in the morning and make up for it"
        show sam blush
        s "I can even cook something for Mitch!"
        hide sam blush
        "You think about all the yummy stuff you could cook..."
        play sound tummy2
        "Okay, scratch that, you're only getting hungrier"
        "You think about how happy your roomate will be after he eats your food!"
        "You could even hang out in the living room and watch something together while you eat..."
        s "Yeah! It'll be real nice!"
        scene dark
        "You close your eyes and think about nice and fun things to do together"
        "And eventually, you fall asleep again"
        play sound sleep volume 0.5
        scene snork
        "{i}(NEUTRAL END, 'Snork Mimimimi'){/i}"


    "Get up and eat something":
        play music sandwiche2 volume 0.5
        "You lazily stand up, the air is certainly colder than your bunch of blankets."
        "You grab one of them and toss it over your shoulder, wouldn't want to catch a cold!"
        play sound floor
        "The old wooden floorboards creak under your steps"
        show sam surpr
        show blanket
        s "Damm, I better be careful not to make much noise, I'd feel bad if I woke up my roomie"
        show sam sad
        show blanket
        s "Poor guy looks like he barely sleeps as is!"
        show sam happy
        show blanket
        s "Maybe I should lend him one of my plushies so he doesn't feel so alone?"
        scene kitchen tile
        "You go downstairs and arrive at the kitchen, the floor here is made of tiles with simple patterns."
        "The more you look at it, the light's reflections start to seem less mundane and start looking more like a the sunrise on a turtle's wet shell."
        "You wonder if they've always looked like this, or if your hunger and sleepiness are playing tricks on you"
        play sound bump
        
        "You were walking while looking at the floor and crashed against a cabinet, not too hard" with vpunch
        show sam surpr 
        show blanket
        s "Agh, good thing I wasn't holding anything sharp!"
        scene kitchentest
        "You look away before the pretty tiles make you even dumber"
        show sam neutral open
        show blanket
        s "Well I better get busy and find something to eat and go back to bed without seeing any more weird distracting things!"
        show sam sigh
        s "They did say this house used to belong to a murderer or something, so I better be careful in case any angry ghosts wanna kill me, lol"
        show sam carefree
        s "My roomie Mitch told me it was most likely a hundred percent haunted"
        show sam happy
        s "But he said I'd be fine if I just avoided anything that seemed paranormal and kept my cool"
        hide sam happy
        hide blanket
        "You try your best to not look at the floor tiles again."
        "Better get cooking before your curiosity wins over you."
        "You glance over at the kitchen counter and spot some bread."
        show sam blush
        show blanket
        s "A sandwich will do just fine!"
        "You grab the bread and open the fridge to gather your ingredients."
        play sound fridge1
        scene kitchen fridge
        "Lettuce, tomato, cheese, ketchup, mustard, ham, pickles…"
        s "Ah, there's just one pickle left!"
        s "Mitch told me to always leave at least one there in the fridge because eating the last one is bad luck"
        s "Or something like that"
        menu pickle:
            "Eat the pickle":
                stop music fadeout 1.0
                play sound cut 
                scene cutting pickle
                "You grab the lonely individual from its place and slice it into thin pieces."
                "Next, you arrange them in a symmetrical pattern alongside the other ingredients."
                play sound tada volume 0.5
                scene crusty sandwich
                "Ta-daa~ this will surely get rid of your hunger! Such a wonderful, pickle-full sandwich"
                "You start eating it as you make you exit the kitchen, it's a pretty average sandwich-"
                s "??!?!??!?!!?" with hpunch
                play sound wall1 volume 0.5
                "Suddenly, you can't breathe"
                show sam choking
                s "That darn pickle- it's stuck in my throat!?"
                "You cough like a sick animal"
                show sam choking more
                "You continue choking, and succumbing under the lack of oxygen, you fall to the ground."
                play sound fall
                scene kitchen tile
                show sam choke death
                "As your consciousness fades, your last words fall flat and coarse."
                s "That- cough- that fucking pickle-"
                "The sepulchral silence of the night takes over."
                "It spares no soul."
                scene sam pickle death
                "{i}BAD END 1, 'In a bit of a pickle'{/i}"

            "Go to the backroom and grab a new jar":
                $ renpy.music.set_volume(0.75)
                scene half sandwich
                "You arrange your current ingredients in an orderly fashion, leaving your half-finished work opened between the ham and the lettuce. "
                play sound movement volume 0.5
                scene hall 1
                "Putting it all in a plate, you carry it with you through the dark hallway to the backroom."
                "You can barely see it's end"
                show sam hall1
                s "Arghhh, I should've grabbed those new light bulbs yesterday!, it's all dark and creepy in here, and I forgot my phone so I can't even use the flashlight…"
                show sam hall2
                "Midway through, the growing feeling that you're being watched becomes too much to ignore."
                show sam hall1
                "You quicken your pace."
                scene backroom dark
                "The room would be pitch dark if it weren't for the faint moonlight that manages to escape the cloud's grasp and sneak through the window."
                scene backroom light
                play sound fridge1
                "You open the backup fridge that sits by the wall- its cold light and buzzing bringing you some comfort."
                "Opening the cabinet, you find an array of neatly-lined preserves in different jars, cans and bags."
                show sam happy
                s "There you are!"
                hide sam happy
                scene backroom shelf
                "The pickles sit alongside all the other stuff, your hand grabbing it ends its days between its inert comrades."
                "Not feeling ready to traverse that creepy hallway again, you decide to continue your sandwich right then and there."
                play sound pop
                "You open the jar, which greets you with a satisfying “pop” and lets out a sour smell."
                "You slice a couple of pickles and add them to your sandwich's composition."
                play sound success2 volume 0.75
                scene crusty sandwich
                "You're ready to dig into the fruits of your effort!"
                stop music fadeout 1.5
                scene backroom m1
                s "Wha-"
                play sound wall1 volume 0.5
                scene backroom m2
                "Shit"
                s "M-Mitch?? Buddy, is that you??"
                scene backroom m3
                "The silence doesn't budge, the figure approaches, slowly at first, but it increasingly picks up the pace."
                s "Oh no, shit, no no noooooo"
                scene backroom m4
                play sound poison volume 0.5
                "The figure enters the room"
                menu fork:

                    "Dodge it and run to your room!":
                        play music hurry
                        "Your best chance is getting away from that thing!"
                        play sound escape volume 0.5
                        scene backrun
                        "You run full speed and dodge it with the expertise of a top-league basketball player"
                        "You dash through the creepy hallway, the figure doesn't seem to be catching up yet, you're almost reaching the safety of the light!"
                        scene backrun 2
                        "Almost there!"
                        "Almost… there?"
                        scene backrun 3
                        "The kitchen doesn't seem to get any closer despite your amazing sprint."
                        s "Is… is this stupid hallway getting longer???"
                        scene backrun 4
                        "You keep running, sweat running down your back."
                        "Yet you reach nowhere."
                        scene flesh censored
                        "The hallway looks creepier and creepier every second."
                        "You slow down until you're barely even walking."
                        stop music fadeout 1.0
                        play music stop 
                        scene fleshhall
                        show sam meat upset
                        play sound movement volume 0.5
                        "Stopping in your tracks, you lay against the wall, exhausted."
                        "You look at both of your sides, and find no sight of an exit."
                        show sam meat sad
                        "Tired, sweaty and hungry, you lay down and think about the sandwiches your mom used to make for you."
                        "You also think about the sandwich you ate last week."
                        "You think about life and death and about how hungry you are."
                        show sam meat neutral
                        "How long have you been here? Hours? Days?"
                        "It doesn't really matter."
                        "Your hunger wouldn't disappear anyway."
                        "The floor is somewhat warm, or perhaps you're just too cold."
                        show sam meat shuteye
                        "You close your eyes and let the hallway consume you."
                        scene bad end hall
                        "{i}(BAD END 2, Oesophagus){/i}"

                    "Hide in the fridge!":
                        "Your best chance is hiding in the fridge's light!"
                        play sound escape volume 0.5
                        "You grab its shelves and throw them behind you, thank god they're removable!"
                        play sound fridge2
                        scene dark
                        play music fridgebuzz volume 0.5
                        "You crawl inside and curl up in a ball, wrapping around you the blanket you brought."
                        "The light is gone after closing the door, and the constant buzzing is almost comforting, protecting you against whatever that thing outside is."
                        "You're still hungry."
                        "There's some stuff in the fridge besides you."
                        "As you grab some cheese and bite into it, you think:"
                        s "'It's not my sandwich but it's better than nothing'"
                        "It's been a while since you got here, is that thing still out there?"
                        "You open the fridge slightly"
                        play sound fridge1
                        scene fridge meat
                        "Oh"
                        scene fridge in
                        s "yuppp"
                        play sound fridge2
                        scene dark
                        "You shut the door quickly"
                        s "I don't think I'm getting out anytime soon"
                        "After eating some more readily-available snacks, you slowly fall asleep inside your cold refuge."
                        "You'll go out when the morning light allows you to..."
                        s "zzzzz"
                        play sound walking1
                        "..."
                        "There's noise outside, it startles you"
                        "Slow footsteps aproach"
                        "You wonder if the creature grew feet and is now walking upright"
                        s "I-I thought evolution was supposed to be a really slow process..."
                        play sound walking2
                        "The sounds grow closer and closer, until they stop right in front of the closed fridge"
                        "You feel something begin to open the fridge, you're frozen by fear"
                        $ renpy.music.set_volume(0.5)
                        play sound fridge1
                        scene mitch fridge neu
                        show shine2
                        m "..."
                        scene mitch fridge talk
                        show shine2
                        m "Hey Sam   "
                        m "Are you comfortable there?"
                        scene mitch fridge neu
                        show shine2
                        s "M I T C H ." with vpunch 
                        play sound evasion1 volume 0.75
                        scene lunge
                        show shine2
                        "You lunge against your roomate, almost making both of you fall"
                        stop music fadeout 0.5
                        play music p1 volume 0.5
                        scene pals
                        show shine1
                        show mitch neu
                        show sam2 cry
                        s "THERE WAS A VERY CREEPY MEAT MONSTER AND I HAD TO HIDE IN THAT CRUMMY FRIDGE"
                        show shine1
                        show sam2 cry2
                        show mitch talk
                        m "Well I don't see anything like that here"
                        show shine1
                        show mitch talk2
                        m "I went to grab something to drink and saw that you left the small kitchen light on"
                        show shine1
                        show mitch talk
                        m "and I started looking for you just in case"
                        show shine1
                        show mitch shuteye
                        m "then and came here and saw all the fridge contents thrown across the room and well"
                        show shine1
                        show mitch talk
                        m "then I opened the fridge and saw you there"
                        show shine1
                        show mitch neu
                        show sam2 blush
                        s "Mitch I owe you one so much thanks for looking for me"
                        show shine1
                        show sam2 blush2
                        show mitch talk
                        m "Don't worry man, you should go to sleep, It's still really early"
                        show shine1
                        show mitch neu
                        show sam2 look 
                        "You look around and see no sign of your sandwich"
                        "That thing probably ate it..."
                        show shine1
                        show sam2 talk
                        s "I came here to eat something but couldn't, so I'm still hungry..."
                        m "{i}(I can tell he's still scared as well...){/i}"
                        show shine1
                        show mitch talk
                        m "How about we grab some snacks and camp out in my room?"
                        show shine1
                        show mitch neu
                        show sam2 blush
                        s "R-really???"
                        show shine1
                        show mitch happy
                        m "Mhm       "
                        show shine1
                        show sam2 happy
                        s "Yeah let's totally do that bro! We could even watch a movie or something?"
                        show shine1
                        show mitch happy2
                        m "I found a cool movie from the 70s about aliens if you're interested"
                        show shine1
                        show mitch happy
                        show sam2 happy2
                        s "Okay, we'll hang out a bit and then sleep"
                        play sound success2
                        scene sleepover

                        "{i}(GOOD END 1, “Sleepover”){/i}"

                    "Pick up the knife!":
                        play sound knife1
                        scene knife1
                        show samknife1
                        "Your best chance is..."
                        

                        menu:
                            "Attack!":
                                stop sound 
                                play music stab volume 0.5
                                hide samknife1
                                show stabpre
                                "You lunge against the figure"
                                play sound damage2 
                                hide stabpre
                                show flesh1
                                show stab1 with hpunch
                                "And pierce through its flesh at full speed!"
                                "It feels like stabbing a water bed"
                                "If the water was blood and the bed was terrifying."
                                "You feel the creature stiffen and ready itself to retaliate."
                                play sound kill1
                                show stab2 with hpunch
                                "Before you have time to process it all, you impulsively push the knife in again as hard as you can."
                                "It splatters everywhere."
                                "The thick liquid pools on the floor."
                                "You feel its sickening warmth against your skin."
                                stop music fadeout 1.0
                                scene noapetite
                                play sound buzz volume 0.5
                                play music escape noloop
                                "The being morphs and scuttles away like an insect."
                                "It smells like rotten."
                                "Your sandwich is ruined."
                                "Not like you had any appetite left after this, anyway."
                                play sound darkness
                                scene noapetitef
                                "(BAD END 3, “Appetite killer”)"


                            "Cut your sandwich and share":
                                stop sound
                                hide samknife1
                                scene shinebg
                                show presandcut
                                play music share volume 3
                                "You grab your beautiful creation"
                                hide presandcut
                                play sound flash1
                                show sandcut with vpunch
                                "And slice it gracefully!"
                                hide sandcut
                                show sandcut1
                                "You leave one half for yourself, and with shaky hands, put the other half in the plate you brought and slide it to the being across from the room."
                                hide sandcut1
                                play sound poison
                                scene sharebg
                                show share1
                                "It picks it up, with whatever it is it uses as hands, and eats it slowly, with whatever its mouth might be."
                                "You do the same."
                                "It's a quiet night, the only sounds being the buzzing of the fridge and the sounds you both make while eating."
                                "The creature seems to enjoy your cooking."
                                "Or at least that's how you feel, since there's no real way to read its mood."
                                stop music fadeout 1.0
                                scene scuttle
                                play sound movement
                                "You both finish eating, the other guy disappears into the dark corner, and you go back to your room."
                                scene edt
                                play sound nice
                                "(GOOD END 2"
                                "“I guess it was hungry too”)"


                        





            




    # This ends the game.

    
